incubator-connectors-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kwri...@apache.org
Subject svn commit: r938020 - /incubator/lcf/trunk/modules/framework/scripts/executecommand.sh
Date Mon, 26 Apr 2010 12:35:12 GMT
Author: kwright
Date: Mon Apr 26 12:35:11 2010
New Revision: 938020

URL: http://svn.apache.org/viewvc?rev=938020&view=rev
Log:
Set the properties appropriately

Modified:
    incubator/lcf/trunk/modules/framework/scripts/executecommand.sh   (contents, props changed)

Modified: incubator/lcf/trunk/modules/framework/scripts/executecommand.sh
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/framework/scripts/executecommand.sh?rev=938020&r1=938019&r2=938020&view=diff
==============================================================================
--- incubator/lcf/trunk/modules/framework/scripts/executecommand.sh (original)
+++ incubator/lcf/trunk/modules/framework/scripts/executecommand.sh Mon Apr 26 12:35:11 2010
@@ -1,35 +1,35 @@
-#!/bin/bash -e
-
-#Make sure environment variables are properly set
-if [ -e $JAVA_HOME/bin/java ] ; then
-    if [ -f $LCF_HOME/properties.ini ] ; then
-    
-        # Build the classpath
-        CLASSPATH=""
-        for filename in $(ls -1 "$LCF_HOME/processes/jar") ; do
-            if [ -n "$CLASSPATH" ] ; then
-                CLASSPATH="$CLASSPATH":"$LCF_HOME"/processes/jar/"$filename"
-            else
-                CLASSPATH="$LCF_HOME"/processes/jar/"$filename"
-            fi
-        done
-        
-        # Build the defines
-        DEFINES=""
-        for filename in $(ls -1 "$LCF_HOME/processes/define") ; do
-            DEFINEVAR=-D"$filename"=$(cat "$LCF_HOME/processes/define/"$filename")
-            DEFINES="$DEFINES $DEFINEVAR"
-        done
-        
-        "$JAVA_HOME/bin/java" "$DEFINES" --classpath "$CLASSPATH" "$@"
-        exit $?
-        
-    else
-        echo "Environment variable LCF_HOME is not properly set." 1>&2
-        exit 1
-    fi
-    
-else
-    echo "Environment variable JAVA_HOME is not properly set." 1>&2
-    exit 1
-fi
+#!/bin/bash -e
+
+#Make sure environment variables are properly set
+if [ -e $JAVA_HOME/bin/java ] ; then
+    if [ -f $LCF_HOME/properties.ini ] ; then
+    
+        # Build the classpath
+        CLASSPATH=""
+        for filename in $(ls -1 "$LCF_HOME/processes/jar") ; do
+            if [ -n "$CLASSPATH" ] ; then
+                CLASSPATH="$CLASSPATH":"$LCF_HOME"/processes/jar/"$filename"
+            else
+                CLASSPATH="$LCF_HOME"/processes/jar/"$filename"
+            fi
+        done
+        
+        # Build the defines
+        DEFINES=""
+        for filename in $(ls -1 "$LCF_HOME/processes/define") ; do
+            DEFINEVAR=-D"$filename"=$(cat "$LCF_HOME/processes/define/"$filename")
+            DEFINES="$DEFINES $DEFINEVAR"
+        done
+        
+        "$JAVA_HOME/bin/java" "$DEFINES" --classpath "$CLASSPATH" "$@"
+        exit $?
+        
+    else
+        echo "Environment variable LCF_HOME is not properly set." 1>&2
+        exit 1
+    fi
+    
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: incubator/lcf/trunk/modules/framework/scripts/executecommand.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/framework/scripts/executecommand.sh
------------------------------------------------------------------------------
    svn:keywords = Id



Mime
View raw message